Does not work with firefox 5.0 Rated 5 out of 5 stars

This is otherwise a great program but- Please make a compatible version with Firefox 5- you guys HAVE TO keep up!

This review is for a previous version of the add-on (3.4).